Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.ExecuteQueryOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.ExecuteQuery`, `ClientWireProtocol.ExecuteQuery.Builder`

Enclosing class:
  ClientWireProtocol

public static interface ClientWireProtocol.ExecuteQueryOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getForce()`
`bool force = 2;`
`boolean`
`getForceRedirect()`
This is superseded by 'force'.
`ClientWireProtocol.PerformanceMode`
`getPerformanceMode()`
`.xg.cmdcomp.PerformanceMode performanceMode = 4;`
`int`
`getPerformanceModeValue()`
`.xg.cmdcomp.PerformanceMode performanceMode = 4;`
`String`
`getSql()`
`string sql = 1;`
`ByteString`
`getSqlBytes()`
`string sql = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getSql

String getSql()
`string sql = 1;`

Returns:
  The sql.

### getSqlBytes

ByteString getSqlBytes()
`string sql = 1;`

Returns:
  The bytes for sql.

### getForce

boolean getForce()
`bool force = 2;`

Returns:
  The force.

### getForceRedirect

boolean getForceRedirect()

     This is superseded by 'force'. If force is true, then this does nothing.

`bool forceRedirect = 3;`

Returns:
  The forceRedirect.

### getPerformanceModeValue

int getPerformanceModeValue()
`.xg.cmdcomp.PerformanceMode performanceMode = 4;`

Returns:
  The enum numeric value on the wire for performanceMode.

### getPerformanceMode

ClientWireProtocol.PerformanceMode getPerformanceMode()
`.xg.cmdcomp.PerformanceMode performanceMode = 4;`

Returns:
  The performanceMode.